import { OnInit, EventEmitter } from '@angular/core';
export declare class EventCountdownSidebarComponent implements OnInit {
    /**
     * Current Preview Layout
     */
    currentPreviewLayout: string;
    /**
     * Current Page
     */
    currentPage: string;
    /**
     * Top Margin web bind
     */
    topMarginWebMobileBind: boolean;
    /**
     * Output to trigger sidebar panel
     */
    onChangeSidebarOptions: EventEmitter<any>;
    showBackFor: string;
    onSidebarBackClick: EventEmitter<any>;
    callParentContainer: EventEmitter<any>;
    /**
     * Input
     * @param model
     */
    model: {
        focused: boolean;
        type: string;
        meta_data: any;
        sidebar_active: string;
    };
    /**
     * constructor
     */
    constructor();
    /**
     * NgOnint hook
     */
    ngOnInit(): void;
    /**
     * Get the current value of Preview Layout style
     */
    ngDoCheck(): void;
    sidebarBack(type?: string): void;
    changeColorPicker(event?: any): void;
    isUndefined(val?: any): boolean;
    callElementContainer(data: any): void;
}
